Recommended update for cloud-regionsrv-client

SUSE Recommended Update: Recommended update for cloud-regionsrv-client
Announcement ID: SUSE-RU-2019:2198-1
Rating: important
References: #1144754 #1146321 #1146462 #1146463 #1146467 #1146468 #1146610
Affected Products:
  • SUSE Linux Enterprise Module for Public Cloud 15-SP1
  • SUSE Linux Enterprise Module for Public Cloud 15

An update that has 7 recommended fixes can now be installed.

Description:

This update for cloud-regionsrv-client fixes the following issues:

  • Adds a dependency to python3-urllib3 (bsc#1146610, bsc#1146321, bsc#1144754)
  • Fixes an issue where the registration client exited with a traceback since the last update (bsc#1146462, bsc#1146463)
  • Clear the new-registration marker if the instance has a cache of update servers (bsc#1146467, bsc#1146468)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Public Cloud 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-SP1-2019-2198=1
  • SUSE Linux Enterprise Module for Public Cloud 15:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-2019-2198=1

Package List:

  • SUSE Linux Enterprise Module for Public Cloud 15-SP1 (noarch):
    • cloud-regionsrv-client-9.0.3-6.9.1
    • cloud-regionsrv-client-generic-config-1.0.0-6.9.1
    • cloud-regionsrv-client-plugin-azure-1.0.1-6.9.1
    • cloud-regionsrv-client-plugin-ec2-1.0.0-6.9.1
    • cloud-regionsrv-client-plugin-gce-1.0.0-6.9.1
  • SUSE Linux Enterprise Module for Public Cloud 15 (noarch):
    • cloud-regionsrv-client-9.0.3-6.9.1
    • cloud-regionsrv-client-generic-config-1.0.0-6.9.1
    • cloud-regionsrv-client-plugin-azure-1.0.1-6.9.1
    • cloud-regionsrv-client-plugin-ec2-1.0.0-6.9.1
    • cloud-regionsrv-client-plugin-gce-1.0.0-6.9.1

References: